Subject: bug#60830: 30.0.50; The *Compilation* buffer does not recognize Lua errors

From: Mattias Engdegård <[email-masked]>
Date: Sun, 8 Oct 2023 12:45:36 +0200

7 okt. 2023 kl. 17.22 skrev Stefan Monnier <[email-masked]>:

> I suspect the "never annoying" is not too hard to get: those regexps are
> currently matched so if they were annoying we'd know about it.

Yes, but one of the points of this soft CERA reform is to allow rules in that may conflict with one another so this balance may not last.

> Looks OK to me, tho it will complain to the user if they have it set to
> a shape that doesn't fit your mold :-(

Indeed it does and I'm not sure what to do about it -- the widget system is a bit of a labyrinth to me.

Is there a way to somehow preprocess a value before the widget machinery tries to type-match it? If so, we could run CERA through a centrifuge that moves all symbols to the end of the list.

> I wonder how common it is for people to set it "manually" in their
> init file.  It seems more common to set it in ELisp packages.

Probably, but I have vivid memories of packages in the past that came with comments telling the user what to add to their ~/.emacs and a number of those may have survived.

Packages also vary in their practices: some add a rule to CERAA an its symbol to CERA, others just a pattern to CERA. Most push their additions to the front but some are shy and put theirs at the end.